Subject: Re: [PATCH] rtnetlink & address family problem

From: Thomas Graf <[email-masked]>
Date: Tue, 7 Dec 2004 15:10:33 +0100

* jamal <[email-masked]> 2004-12-07 08:20
> On Tue, 2004-12-07 at 08:17, Thomas Graf wrote:
> 
> > It's not really related to the gnet_stats code.  stats_lock isn't set
> > in the action code when using an older iproute2. I haven't tested this
> > case because it was marked as broken anyway. 
> 
> Can you ping my memory on this? Is this tc with initial support
> for actions or something much older than that.

I'm not sure, I'm testing with a version having no action support at
all. It should be fairly easy to find the bug once I have the time to
really look into it. I'm still getting interrupted all the time at
the moment.

All actions created via tcf_hash_create, tcf_police_locate, and
tcf_act_police_locate should be fine. There must be some bogus path
related to older tc versions.